# Allow Trust

These are result codes that communicate success (200) or failure (400) specific to the `Allow Trust` operation.

Learn more about the [`Allow Trust` operation](/start/list-of-operations.md#allow-trust).

* OpSuccess `ALLOW_TRUST_SUCCESS`

  Trust trust operation was successful.
* OpMalformed `ALLOW_TRUST_MALFORMED`

  The asset specified in type is invalid. In addition, this error happens when the native asset is specified.
* op\_no\_trustline `ALLOW_TRUST_NO_TRUST_LINE`

  The trustor does not have a trustline with the issuer performing this operation.
* op\_not\_required `ALLOW_TRUST_TRUST_NOT_REQUIRED`

  The source account (issuer performing this operation) does not require trust. In other words, it does not have the flag AUTH\_REQUIRED\_FLAG set.
* op\_cant\_revoke `ALLOW_TRUST_CANT_REVOKE`

  The source account is trying to revoke the trustline of the trustor, but it cannot do so.
* op\_self\_not\_allowed `ALLOW_TRUST_SELF_NOT_ALLOWED`

  The source account attempted to allow a trustline for itself, which is not allowed because an account cannot create a trustline with itself.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/errors/result-codes/operation-specific/allow-trust.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
